<?php

if (!defined('ABSPATH'))
    exit; // Exit if accessed directly

/** Global Variables */
define('AMP_REQUIRED_PHP_VERSION', '5.3');
define('AMP_REQUIRED_WP_VERSION', '3.0');
define('AMP_REQUIRED_WP_VERSION_AS', '3.0000000000000000000000000');
define('AMP_REQUIRED_WP_NETWORK', false);
define('AMP_PATH', dirname(__FILE__));
define('AMP_FILE', AMP_PATH . DIRECTORY_SEPARATOR . 'amp-supremacy.php');
define('AMP_URL', plugin_dir_url(__FILE__));
define('AMP_CUSTOM_SETTINGS_SWITCH', 'amps_use_custom_settings');
define('AMP_CUSTOM_SETTINGS', 'amps_custom_settings');
define('SUPREMACY_BANNER_IMAGE', '<amp-img layout="responsive" height="300" width="800" src="https://scontent.fixc1-1.fna.fbcdn.net/v/t1.0-9/13902561_10157200733385720_6650290508011598650_n.jpg?oh=9c1ad57f9c880d46ec318da2654874ac&oe=5849D23B"></amp-img>');

/** Global Variables */
/** Define Global JS/CSS */
$global_js = array(
    'amp_uikit',
    'amp_uikit_notify',
    'amp_uikit_accordion',
    'amp_uikit_lightbox',
    'amp_main',
    'amp_ajaxq',
    'amp_spectrum',
    'media-upload',
    'thickbox'
);
$global_css = array(
    'amp_main',
    'amp_uikit',
    'amp_uikit_notify',
    'amp_uikit_progress',
    'amp_font-awesome',
    'amp_spectrum',
    'thickbox'
);

$global_content_specs = array(
    'youtube' => array(),
    'iframe' => array(),
    'lightbox' => FALSE
);

/** Define Pages */
$amp_pages = array(
    // Main Tab
    array(
        "Type" => "MENU",
        "Page_Title" => "AMP Supremacy",
        "Menu_Title" => "AMP Supremacy",
        "Capability" => "manage_options",
        "Slug" => "amp-settings",
        "Parent_Slug" => "",
        "Icon" => "/assets/img/logo_menu.png",
        "JavaScript" => array(),
        "Css" => array()
    )
);

/** Include all dependencies */
$files = glob(AMP_PATH . '/inc/wp_*');
foreach ($files as $f) {
    require_once ( $f );
}
require_once AMP_PATH.'/models/wp_render.php';
/** Include all dependencies */
/** Register Init Hooks */
register_activation_hook(AMP_FILE, array('AMP_Init', 'activate'));
register_deactivation_hook(AMP_FILE, array('AMP_Init', 'deactivate'));
register_uninstall_hook(AMP_FILE, array('AMP_Init', 'uninstall'));

/** Register Init Hooks */

add_action('wp_head',array('AMP_Init', 'addMetaTag'), 1, 1);
add_action( 'wp_ajax_register_advanced_amp', array('AMP_Init', 'register_advanced_amp') );

/** When plugin version is upgraded **/
add_action( 'upgrader_process_complete', array('AMP_Init', 'upgrade'));

add_filter('plugin_action_links_'.plugin_basename(AMP_FILE), array('AMP_Init','amp_settings_plugin_action_links'));
add_filter('ps_meta_data', array('MAMP_Render', 'amps_load_ps_meta_data'));

add_action( 'add_meta_boxes', array('AMP_Init', 'addPagePostCustomOptionsBox') );
add_action('save_post', array('AMP_Init', 'saveCustomBoxData'));

/** Start the plugin */
if (AMP_Init::verify_requirements()) {
    AMP_Init::init();
} else {
    add_action('admin_notices', function() {
        global $wp_version;
        require_once(AMP_PATH . '/pages/notices/requirements-error.php');
    });
    require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    deactivate_plugins(AMP_FILE);
}

if(!function_exists('plugin_get_version')){
    function plugin_get_version() {
        if ( ! function_exists( 'get_plugins' ) )
            require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
            $plugin_folder = get_plugins( '/' . plugin_basename( dirname( __FILE__ ) ) );
            $plugin_file = 'amp-supremacy.php';
            return $plugin_folder[$plugin_file]['Version'];
    }
}

if(!function_exists('is_amp_supremacy_endpoint')){
    function is_amp_supremacy_endpoint() {
        return MAMP_Render::extractAMP($_SERVER['REQUEST_URI']);
    }
}