<?php
// PHP STARTS HERE
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly
$amps = get_option('amps');
$amp_supremacy_lite_check_key = 'amp_supremacy_lite_register_check';

$amp_supremacy_current_time = time();
$amp_supremacy_lite_stored = get_option($amp_supremacy_lite_check_key, 0);

$registration_status = 0;
if($amp_supremacy_lite_stored === 0){
    $registration_status = AMP_Init::get_registration_status();
    add_option($amp_supremacy_lite_check_key, array('status' => $registration_status, 'checked_on' => $amp_supremacy_current_time));
} else {
    
    // If the stored-checked status was checked before/after 20th Dec 2016 
    if($amp_supremacy_lite_stored['checked_on'] <= 1483228800){
        $registration_status = AMP_Init::get_registration_status();
        update_option($amp_supremacy_lite_check_key, array('status' => $registration_status, 'checked_on' => $amp_supremacy_current_time));
        $amp_supremacy_lite_stored = get_option($amp_supremacy_lite_check_key, 0);
    }
    
    $registration_status = $amp_supremacy_lite_stored['status'];
    $amp_supremacy_lite_datediff = $amp_supremacy_current_time - $amp_supremacy_lite_stored['checked_on'];
    
    /* Update the stored registration status after every 3 Days*/
    $amp_supremacy_lite_datediffDays = floor($amp_supremacy_lite_datediff / (60 * 60 * 24));
    if($amp_supremacy_lite_datediffDays >= 3){
        $registration_status = AMP_Init::get_registration_status();
        update_option($amp_supremacy_lite_check_key, array('status' => $registration_status, 'checked_on' => $amp_supremacy_current_time));
    }
}

$amp_sitemap_xml_exists = file_exists(ABSPATH.'amp-sitemap.xml');
$amp_sitemap_exists = file_exists(ABSPATH.'wp-content/plugins/amp-supremacy-sitemap');
$amp_menu_list = get_terms('nav_menu');
?>
<!-- HTML STARTS HERE -->
<div class="wrap prs">
    <div class="uk-grid logo-title">
        <div class="uk-width-1-10 margin-logo"><img class="logo-image" src="<?php echo  AMP_URL; ?>/assets/img/logo.png"></div>
        <div class="uk-width-7-10 margin-page-heading"><h2>AMP Supremacy <?php echo plugin_get_version(); ?> | Settings - <small class="hand">Configure AMP Supremacy...</small></h2></div>
        <div class="uk-width-2-10 margin-support"><a class="uk-button uk-button-big uk-button-primary amp-support-btn" href="http://amp.freshdesk.com" target="_blank">Ask for AMP Support</a></div>
    </div>
    <?php if(!$amp_sitemap_exists): ?>
    <div class="uk-grid uk-grid-small m-b-10 m-t-15">
            <div class="uk-width-large-1-1 uk-visible-large">
                <div class="uk-panel uk-panel-box amp-supremacy-lite">
                    <div class="uk-grid uk-grid-small">
                        <div class="uk-width-1-3">
                            <h4><i class="fa fa-sitemap"></i>&nbsp;AMP Supremacy Lite Upgrade</h4>
                            <p><a href="#TB_inline?width=783&inlineId=all_about_sitemap" class="thickbox sitemap-help"><i class="fa fa-info-circle"></i> How does AMP Sitemap Work?</a></p>
                            <p><a href="#TB_inline?width=783&inlineId=all_about_ga" class="thickbox sitemap-help"><i class="fa fa-info-circle"></i> How does AMP Google Analytics Work?</a></p>
                        </div>
                        <div class="uk-width-1-3">
                            <div class="uk-form-row register_aamp_container">
                                <div class="uk-alert" style="display: none;"></div>
                                <form method="post" class="af-form-wrapper" accept-charset="UTF-8" action="https://www.aweber.com/scripts/addlead.pl" target="_blank" id="register_for_amp">
                                    <div style="display: none;">
                                        <input type="hidden" name="meta_web_form_id" value="344639408" />
                                        <input type="hidden" name="meta_split_id" value="" />
                                        <input type="hidden" name="listname" value="awlist4385740" />
                                        <input type="hidden" name="redirect" value="https://www.aweber.com/thankyou-coi.htm?m=text" id="redirect_a67d533cc722fe497dce10ebacde11f9" />

                                        <input type="hidden" name="meta_adtracking" value="AMP_Sitemap_Addon" />
                                        <input type="hidden" name="meta_message" value="1" />
                                        <input type="hidden" name="meta_required" value="name,email" />

                                        <input type="hidden" name="meta_tooltip" value="" />
                                    </div>
                                    <label for="register_aamp_name"><i class="fa fa-user"></i> Your Name:</label>
                                    <input id="register_aamp_name" type="text" name="name" placeholder="Your Name"/>
                                    <br/>
                                    <label for="register_aamp_email" style="margin-top: 5px"><i class="fa fa-envelope"></i> Your Email:</label>
                                    <input id="register_aamp_email" name="email" style="margin-top: 5px" type="email" placeholder="example@example.com"/>

                                    <button class="uk-button uk-button-small uk-button-success register_for_aamp" type="submit" name="submit">Get AMP Supremacy Lite</button>
                                </form>
                            </div>
                        </div>
                        <div class="uk-width-1-3">
                            <p><b>FREE AMP Supremacy Lite </b><br> Sign up to download AMP Supremacy Lite, which will enable <b>Google friendly AMP Sitemap and AMP Google Analytics</b></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <form class="amp-settings-form">
        <input type="hidden" name="action" value="amp_save_options"/>
        <div class="uk-grid uk-grid-small">
            <div class="uk-width-1-3">
                <div class="uk-panel uk-panel-box">
                    <div class="uk-grid uk-grid-small">
                        <div class="uk-width-1-3">
                            <div class="uk-form">
                                <fieldset>
                                    <legend><i class="fa fa-gear"></i> Use on:</legend>

                                    <div class="uk-form-row">
                                        <input type="hidden" value="0" name="amps[on_pages]"/>
                                        <label><input value="1" name="amps[on_pages]" <?php checked($amps['on_pages']); ?> type="checkbox"> Pages <i title="By checking this, AMP will be activated for all your pages." class="fa fa-info-circle"></i></label>
                                    </div>

                                    <div class="uk-form-row">
                                        <input type="hidden" value="0" name="amps[on_posts]"/>
                                        <label><input value="1" name="amps[on_posts]" <?php checked($amps['on_posts']); ?> type="checkbox"> Posts <i title="By checking this, AMP will be activated for all your post types." class="fa fa-info-circle"></i></label>
                                    </div>

                                    <div class="uk-form-row">
                                        <input type="hidden" value="0" name="amps[on_categories]"/>
                                        <label><input value="1" name="amps[on_categories]" <?php checked($amps['on_categories']); ?> type="checkbox"> Categories <i title="By checking this, AMP will be activated for all your categories." class="fa fa-info-circle"></i></label>
                                    </div>

                                    <div class="uk-form-row">
                                        <input type="hidden" value="0" name="amps[on_tags]"/>
                                        <label><input value="1" name="amps[on_tags]" <?php checked($amps['on_tags']); ?> type="checkbox"> Tags <i title="By checking this, AMP will be activated for all your tags." class="fa fa-info-circle"></i></label>
                                    </div>
                                    
                                    <div class="uk-form-row">
                                        <input type="hidden" value="0" name="amps[on_home]"/>
                                        <label><input value="1" name="amps[on_home]" <?php checked($amps['on_home']); ?> type="checkbox"> Home <i title="By checking this, AMP will be activated for Home Page." class="fa fa-info-circle"></i></label>
                                    </div>
                                </fieldset>
                            </div>
                        </div>
                        <div class="uk-width-2-3">
                            <div class="uk-form uk-form-stacked">
                                <fieldset>
                                    <legend><i class="fa fa-gears"></i> Settings:</legend>

                                    <div class="uk-form-row">
                                        <input type="hidden" value="0" name="amps[use_seo_meta]"/>
                                        <label><input value="1" name="amps[use_seo_meta]" <?php checked($amps['use_seo_meta']); ?> type="checkbox"> Render SEO Meta Data <i title="By checking this, SEO meta data coming from plugins such as Project Supremacy, Yoast, All In One SEO, Platinum SEO will be rendered inside of AMP activated locations." class="fa fa-info-circle"></i></label>
                                    </div>

                                    <div class="uk-form-row">
                                        <label for="site_verification"><i class="fa fa-google"></i> Google Site Verification:</label>
                                        <div id="site_verification_help" style="display:none;">
                                            <img src="<?php echo AMP_URL; ?>assets/img/google-verify.png" width="165" height="100"/>
                                            <img src="<?php echo AMP_URL; ?>assets/img/google-verify-text.png"/>
                                            <p><i>Insert ONLY key from content attribute - example: <b>EZp6wgQhNQ9wsFeCsOpkjjvRIyEnWma8Dlv-VGN2xEY</b></i></p>
                                            <h4>Follow the following process to obtain your Code:</h4>
                                            <ol>
                                                <li>Go to <a href="https://www.google.com/webmasters/tools/home" target="_blank">Google Webmaster Tools</a> and add <b><?php echo get_site_url(); ?></b> as New Property.
                                                    <img src="<?php echo AMP_URL; ?>assets/img/google-site-verify/screenshot_1.png" class="goole-verify-img">
                                                </li>
                                                <li>Choose 'HTML Tag' as a Verification Method and copy/note the Google Verification Code
                                                    <img src="<?php echo AMP_URL; ?>assets/img/google-site-verify/screenshot_2.png" class="goole-verify-img">
                                                </li>
                                                <li>Input the code you noted/copied into 'Google Site Verification' field and click 'Save Changes'</li>
                                                <li>Now, click 'Verify' button at bottom of the page you see in #2 as a final step</li>
                                            </ol>
                                        </div>

                                        <a href="#TB_inline?width=783&height=400&inlineId=site_verification_help" class="thickbox"><i class="fa fa-info-circle"></i> Help</a>


                                        <textarea rows="3" class="uk-width-1-1" id="site_verification" name="amps[site_verification]" placeholder='eg. EZp6wgQhNQ9wsFeCsOpkjjvRIyEnWma8Dlv-VGN2xEY'><?php echo $amps['site_verification']; ?></textarea>
                                    </div>

                                </fieldset>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <p><span class="uk-badge">NOTE</span> Tweak the settings from above to set up how the AMP will be used on your website.</p>
                </div>

                <div class="uk-panel uk-panel-box">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-dashboard"></i> Mobile Ready Test:</legend>

                            <div class="uk-form-row">
                                <label for="mobile-test-url"><i class="fa fa-globe"></i> URL to Check:</label>
                                <input id="mobile-test-url" type="url" placeholder="eg. http://mywebsite.com/page-1/"/>
                                <button class="uk-button uk-button-small uk-button-success uk-button-run-test" type="button"><i class="fa fa-play"></i> Run Test</button>
                            </div>

                            <div class="uk-form-row mobile-results" style="display: none">
                                <hr>

                                <h3 class="mobile-status">...</h3>

                                <div class="uk-progress">
                                    <div class="uk-progress-bar" style="width: 100%;">...</div>
                                </div>

                                <div class="uk-grid uk-grid-small mobile-problems" style="display:none">
                                    <div class="uk-width-1-2">
                                        <dl class="mobile-success-list"></dl>
                                        <dl class="mobile-problems-list"></dl>
                                    </div>
                                    <div class="uk-width-1-2">
                                        <div class="mobile-screenshot-container">
                                            <img src="" class="mobile-screenshot"/>
                                            <div class="mobile-screenshot-tab">
                                                <a target="_blank" href="#" class="mobile-screenshot-button"><span class="mobile-screenshot-square"></span></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </fieldset>

                        <p><span class="uk-badge">NOTE</span> By using Mobile Ready Test you will be able to verify how Google is treating the selected page or post. Passing a test with 100% means that your page/post is responsive and ready for mobile usage.</p>
                    </div>
                </div>
                <div class="uk-panel uk-panel-box">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-bookmark"></i> Manage Non-Secure Content:</legend>

                            <div class="uk-form-row">
                                <?php
                                    $non_secure_option_yes = '';
                                    $selected_option = 0;
                                    $checked = 'checked = "checked"';
                                    $non_secure_option_no = $checked;
                                    $manage_content_options = 'disabled="disabled"';
                                    $replace_content = ''; $remove_content = '';
 
                                    if(isset($amps['non_secure_content'])){
                                        $selected_option = $amps['non_secure_content'];
                                        if($selected_option == 1){
                                            $non_secure_option_yes = $checked;
                                            $non_secure_option_no = '';
                                            $manage_content_options = '';
                                            
                                            if($amps['non_secure_content_should_be'] == 'placeholded'){
                                                $replace_content = $checked;
                                            } else {
                                                $remove_content = $checked;
                                            }
                                        }
                                    }
                                    
                                ?>
                                <label for="mobile-test-url"><i class="fa fa-bell"></i> Do you want to deal with non-secure sources on your pages?</label><br />
                                <input id="yes_handle_non_secure" name="amps[non_secure_content]" type="radio" value="1" <?php echo $non_secure_option_yes; ?>><label for='yes_handle_non_secure' class="radio-lbl">Yes</label> &nbsp;
                                <input id="no_handle_non_secure" name="amps[non_secure_content]" type="radio" value="0" <?php echo !isset($amps['non_secure_content']) ? $checked : ''; echo $non_secure_option_no; ?>><label for='no_handle_non_secure' class="radio-lbl">No</label>
                                
                            </div>

                            <div class="uk-form-row yes-options" style="display: <?php echo empty($selected_option) ? "none" : "block" ; ?>">
                                <h4>Please choose:</h4>
                                <div class="uk-grid uk-grid-small mobile-problems">
                                    <div class="uk-width-1-2">
                                        <input class="options_to_deal_with_non_secure_content" id="remove_non_secure_content" name="amps[non_secure_content_should_be]" type="radio" value="removed"  <?php echo empty($selected_option) ? $checked : $manage_content_options." ".$remove_content; ?>>
                                        <label class="radio-lbl" for='remove_non_secure_content'>Remove such content from AMP Pages</label> &nbsp;
                                    </div>
                                    <div class="uk-width-1-2">
                                        <input class="options_to_deal_with_non_secure_content" id="placehold_non_secure_content" name="amps[non_secure_content_should_be]" type="radio" value="placeholded" <?php echo $manage_content_options." ".$replace_content; ?>>
                                        <label class="radio-lbl" for='placehold_non_secure_content'>Replace such content with some placeholder content</label> &nbsp;
                                    </div>
                                </div>

                            </div>

                        </fieldset>

                        <p><span class="uk-badge">NOTE</span> AMP violates the page in case your images, iframes etc points to non-secure servers or to HTTP instead of HTTPS. Please command how AMP Supremacy should deal with it. </p>
                    </div>
                </div>
                <div class="uk-panel uk-panel-box">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-pencil"></i> Right to Left Language Support:</legend>
                            <div class="uk-form-row">
                                <label for="mobile-test-url"><i class="fa fa-bell"></i> Do you want your AMP Pages to be RTL aligned?</label><br>
                                <?php $rtl_1 = ''; $rtl_0 = 'checked'; 
                                        if(isset($amps['rtl_switch'])){ 
                                            if($amps['rtl_switch'] == 1){
                                                $rtl_1 = 'checked'; $rtl_0 = '';
                                            }
                                        }
                                        ?>
                                <input id="rtl_support_on" name="amps[rtl_switch]" type="radio" value="1" <?php echo $rtl_1; ?>><label for="rtl_support_on" class="radio-lbl">Yes</label> &nbsp;
                                <input id="rtl_support_off" name="amps[rtl_switch]" type="radio" value="0" <?php echo $rtl_0; ?>><label for="rtl_support_off" class="radio-lbl">No</label>
                            </div>
                        </fieldset>
                    </div>
                </div>
                <div class="uk-panel uk-panel-box">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-map"></i> Structured Data:</legend>
                            <div class="uk-form-row">
                                <label for="amp-structured-data-logo"> Logo to display in Google Structured Data</label><br>
                                <input class="settings-page-control" id="structured_data_logo_image" name="amps[structured_data_logo_image]" type="text" placeholder="Upload/Select an Image" value="<?php echo (!empty($amps['structured_data_logo_image'])) ? $amps['structured_data_logo_image'] : '' ; ?>">
                                <button class="uk-button uk-button-small uk-button-primary imageSelect settings-page-control" data-target="structured_data_logo_image" type="button">Browse</button>
                            </div>
                        </fieldset>
                    </div>
                </div>
                <div class="uk-panel uk-panel-box">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-navicon"></i> AMP Menu:</legend>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[disable_menu_display]"/>
                                <label><input id="disable_menu_display" value="1" name="amps[disable_menu_display]" <?php if(isset($amps['disable_menu_display'])) checked($amps['disable_menu_display']); ?> type="checkbox"> Hide Navigation Menu on AMP Page <i title="By checking this, AMP will stop displaying menu on your AMP Page." class="fa fa-info-circle"></i></label>
                            </div>
                            <?php $display_menus = !empty($amps['disable_menu_display']) ? 'none' : 'block'; ?>
                            <div class="uk-form-row" style="display: <?php echo $display_menus; ?> ;" id="select_amp_menu_block">
                                <label for="select_amp_menu">Select AMP Menu: </label>
                                <select name="amps[select_amp_menu]" id="select_amp_menu">
                                    <option value="default" <?php echo (isset($amps['select_amp_menu']) && ($amps['select_amp_menu'] == 'default' )) ? 'selected' : ''; ?>>Default Menu</option>
                                    <?php
                                        foreach($amp_menu_list as $amp_menu){
                                            $selected = (!empty($amps['select_amp_menu']) && ($amps['select_amp_menu'] == $amp_menu->term_id)) ? 'selected' : '';
                                            echo "<option value=\"{$amp_menu->term_id}\" {$selected}>{$amp_menu->name}</option>";
                                        }
                                    ?>
                                </select>
                                <p><span class="uk-badge">NOTE</span> If 'Default Menu' is selected then your website's primary menu will be displayed.</p>
                            </div>
                        </fieldset>
                    </div>
                </div>
                <br/>
                <button type="submit" class="uk-button uk-button-primary"><i class="fa fa-save"></i> Save Changes</button>
                </form>
            </div>
            <div class="uk-width-1-3">
                <?php if($amp_sitemap_exists): ?>
                <div class="uk-panel uk-panel-box" id="register_for_aamps">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-sitemap"></i> <?php echo (!$amp_sitemap_exists) ? 'Register for FREE ' : ''; ?>AMP Supremacy Lite Upgrade</legend>
                            <?php if(!$amp_sitemap_exists){ ?>
                                <p><b>FREE AMP Supremacy Lite </b><br/> Sign up to download AMP Supremacy Lite, which will enable <b>Google friendly AMP Sitemap and AMP Google Analytics</b></p>
                            <?php }  ?>
                                
                            <p><a href="#TB_inline?width=783&inlineId=all_about_sitemap" class="thickbox sitemap-help"><i class="fa fa-info-circle"></i> How does AMP Sitemap Work?</a></p>
                            <p><a href="#TB_inline?width=783&inlineId=all_about_ga" class="thickbox sitemap-help"><i class="fa fa-info-circle"></i> How does AMP Google Analytics Work?</a></p>
                            <?php if(empty($registration_status)){ ?>
                            <div class="uk-form-row register_aamp_container">
                                <?php if($amp_sitemap_exists){ ?>
                                    <div class="uk-alert uk-alert-danger">You have installed non registered copy of AMP Supremacy Lite. Please register to enable the addon.</div>
                                <?php } ?>
                                <div class="uk-alert" style="display: none;"></div>
                                <form method="post" class="af-form-wrapper" accept-charset="UTF-8" action="https://www.aweber.com/scripts/addlead.pl" target="_blank" id="register_for_amp">
                                    <div style="display: none;">
                                        <input type="hidden" name="meta_web_form_id" value="344639408" />
                                        <input type="hidden" name="meta_split_id" value="" />
                                        <input type="hidden" name="listname" value="awlist4385740" />
                                        <input type="hidden" name="redirect" value="https://www.aweber.com/thankyou-coi.htm?m=text" id="redirect_a67d533cc722fe497dce10ebacde11f9" />

                                        <input type="hidden" name="meta_adtracking" value="AMP_Sitemap_Addon" />
                                        <input type="hidden" name="meta_message" value="1" />
                                        <input type="hidden" name="meta_required" value="name,email" />

                                        <input type="hidden" name="meta_tooltip" value="" />
                                    </div>
                                    <label for="register_aamp_name"><i class="fa fa-user"></i> Your Name:</label>
                                    <input id="register_aamp_name" type="text" name="name" placeholder="Your Name"/>
                                    <br/>
                                    <label for="register_aamp_email" style="margin-top: 5px"><i class="fa fa-envelope"></i> Your Email:</label>
                                    <input id="register_aamp_email" name="email" style="margin-top: 5px" type="email" placeholder="example@example.com"/>

                                    <button class="uk-button uk-button-small uk-button-success register_for_aamp" type="submit" name="submit">Get Advanced AMP</button>
                                </form>
                            </div>
                            <?php } ?>
                           
                                <div id="all_about_sitemap" style="display:none;">
                                    <h2>What is AMP Sitemap?</h2>
                                    <p>Sitemap carries the list of AMP Pages operating on your website. They must follow the Google Sitemap validation schema</p>
                                    <h4>Follow the following process to obtain your Sitemap:</h4>
                                    <ol>
                                        <li>Once you have successfully installed this AMP Supremacy Lite, following the instructions you will be able to display the sitemap for AMP Pages on your site.</li>
                                        <li>Add a shortcode <code>[amp-supremacy-sitemap]</code> in your posts' or pages' content.</li>
                                        <li>When this post / page containing shortcode for AMP Sitemap is accessed through browser, this will contain a list of AMP Links at your site</li>
                                    </ol>
                                    <p><b>Note: </b> You can create a seperate page to contain AMP Links </p>
                                    <ul style="list-style: disc">
                                        <li>Add a following PHP code line in your preferred template file which can be found in your active theme folder:</li> 
                                        <li style="margin-left:50px; list-style: none;"><legend><code>&lt;&quest;php echo do_shortcode('[amp-supremacy-sitemap]'); &quest;&gt; </code></legend></li>
                                        <li>This plugin do not create any seperate file (XML or plain text) to contain the list of AMP Links. </li>
                                    </ul>
                                </div>
                                <div id="all_about_ga" style="display:none;">
                                    <h2>What are Google Analytics?</h2>
                                    <p>Google Analytics is a web service provided by Google to keep track of the traffic visiting your website.</p>
                                    <h4>Follow the following process to configure Google Analytics on your AMP Pages:</h4>
                                    <ol>
                                        <li>Once you have successfully installed this AMP Supremacy Lite, following the instructions you will be able to find AMP\'s Google Analytics report in Google Analytics.</li>
                                        <li>Add your website in Google Analytics at <a href='http://analytics.google.com/analytics/web/' target='_blank'>Google Anaytics</a>
                                            <img src="<?php echo AMP_URL; ?>assets/img/ga/ga-init.png" class="goole-verify-img" height='300'>
                                        </li>
                                        <li>Copy your tracking ID from 'Admin' through navigation bar<img src="<?php echo AMP_URL; ?>assets/img/ga/copy-tracking-id.png" class="goole-verify-img" height='300'></li>
                                        <li>Paste your tracking ID in following input field and click 'Save Changes'<img src="<?php echo AMP_URL; ?>assets/img/ga/amp-ga-input.png" class="goole-verify-img" height='300'></li>
                                        <li>Now, you will be able to see your analytics in GA Dashboard<img src="<?php echo AMP_URL; ?>assets/img/ga/show-analytics.png" class="goole-verify-img" height='300'></li>
                                    </ol>
                                </div>
                                <div id="add_sitemap_to_google" style="display:none;">
                                    <h2>Why should I submit my sitemap to Google?</h2>
                                    <p>Submission of your sitemap to Google will add to your website's SEO and Google will be able to know what are the links to your AMP Pages so that it can index those pages in Google Search Results.</p>
                                    <h4>Follow the following process to submit your sitemap:</h4>
                                    <ol>
                                        <li>Go to <a href="https://www.google.com/webmasters/tools/home" target="_blank">Google Webmaster Tools</a> and add <b><?php echo get_site_url(); ?></b> as New Property.
                                             <img src="<?php echo AMP_URL; ?>assets/img/google-site-verify/screenshot_1.png" class="goole-verify-img" height='300'>
                                        </li>
                                        <li>Click your property (website) link and you will be redirected to your property field.
                                             <img src="<?php echo AMP_URL; ?>assets/img/google-site-verify/click-your-property.png" class="goole-verify-img">
                                        </li>
                                        <li>Search and click the link saying <code>Sitemap</code>, then click <code>ADD/TEST SITEMAP</code> and you will see a pop-up box asking for your website's sitemap. Put it in and click submit and its done
                                             <img src="<?php echo AMP_URL; ?>assets/img/google-site-verify/click-sitemap-link.png" class="goole-verify-img">
                                        </li>
                                    </ol>
                                    <?php if($amp_sitemap_xml_exists){ ?>
                                    <p><b>Note: </b> We have already created your AMP Supremacy Lite at <code><?php echo get_site_url().'/amp-sitemap.xml' ?></code></p>
                                    <?php } ?>
                                </div>
                        </fieldset>
                    </div>
                </div>
                <!-- Anaylytics Shortcode -->
                <?php do_action('amp_supremacy_load_analytics_widget', $amps); ?>
                <?php endif; ?>
                <div class="uk-panel uk-panel-box">
                    <div class="uk-form">
                        <fieldset>
                            <legend><i class="fa fa-paint-brush"></i> Customize Design:</legend>

                            <div class="uk-form-row">
                                <label for="logo_image"><i class="fa fa-file-image-o"></i> Logo Image:</label>
                                <input id="logo_image" value="<?php echo $amps['logo_image']; ?>" name="amps[logo_image]" type="text" placeholder="Upload/Select an Image"/>
                                <button class="uk-button uk-button-small uk-button-primary imageSelect" data-target="logo_image" type="button">Browse</button>
                            </div>
                            <div class="uk-form-row">
                                <i class="fa fa-arrows-h"></i>&nbsp;<label>Width:</label>
                                <input type="text" class="short-field" maxlength="3" name="amps[logo_image_width]" value="<?php echo !empty($amps['logo_image_width']) ? $amps['logo_image_width'] : ''; ?>"/>
                                <i class="fa fa-arrows-v"></i>&nbsp;<label>Height:</label>
                                <input type="text" class="short-field" maxlength="3" name="amps[logo_image_height]"  value="<?php echo !empty($amps['logo_image_height']) ? $amps['logo_image_height'] : ''; ?>"/>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[sitename_hide]"/>
                                <label><input value="1" name="amps[sitename_hide]" <?php if(isset($amps['sitename_hide'])) checked($amps['sitename_hide']); ?> type="checkbox"> Hide Site Name in Header <i title="By checking this, AMP will not load the Site Name in Header." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[featured_image_hide]"/>
                                <label><input value="1" name="amps[featured_image_hide]" <?php if(isset($amps['featured_image_hide'])) checked($amps['featured_image_hide']); ?> type="checkbox"> Hide Featured Image from AMP pages <i title="By checking this, AMP will not load the Featured Image for your post." class="fa fa-info-circle"></i></label>
                            </div>

                            <hr>

                            <div class="uk-form-row">
                                <label for="favico"><i class="fa fa-file-code-o"></i> Fav Icon:</label>
                                <input id="favico" value="<?php echo $amps['favico']; ?>" name="amps[favico]" type="text" placeholder="Upload/Select an Image"/>
                                <button class="uk-button uk-button-small uk-button-primary imageSelect" data-target="favico" type="button">Browse</button>
                            </div>

                            <hr>

                            <div class="uk-form-row">
                                <label for="color_header"><i class="fa fa-header"></i> Header Background Color:</label>
                                <input class="spectrum" id="color_header" value="<?php echo $amps['color_header']; ?>" name="amps[color_header]" type="text"/>
                            </div>

                            <div class="uk-form-row">
                                <label for="color_header_text"><i class="fa fa-header"></i> Header Text Color:</label>
                                <input class="spectrum" id="color_header_text" value="<?php echo $amps['color_header_text']; ?>" name="amps[color_header_text]" type="text"/>
                            </div>

                            <hr>

                            <div class="uk-form-row">
                                <label for="color_article_title"><i class="fa fa-newspaper-o"></i> Article Title Color:</label>
                                <input class="spectrum" id="color_article_title" value="<?php echo $amps['color_article_title']; ?>" name="amps[color_article_title]" type="text"/>
                            </div>

                            <div class="uk-form-row">
                                <label for="color_article_text"><i class="fa fa-newspaper-o"></i> Article Text Color:</label>
                                <input class="spectrum" id="color_article_text" value="<?php echo $amps['color_article_text']; ?>" name="amps[color_article_text]" type="text"/>
                            </div>
                            
                            <hr>
                            
                                <div class="uk-form-row">
                                    <label for="footer-extra-content"><i class="fa fa-book"></i> Add Content to Footer of AMP Page:</label>
                                    <?php 
                                        $footer_extra_content = isset($amps['footer-extra-content']) ? trim($amps['footer-extra-content']) : '';
                                        $footer_extra_content = (!empty($footer_extra_content)) ? preg_replace('/\\\\/', '', $footer_extra_content) : ''; 
                                    ?>
                                    <textarea class="amp-settings-textarea" id="footer-extra-content" placeholder="Enter Footer Content" name="amps[footer-extra-content]"><?php echo $footer_extra_content; ?></textarea>
                                </div>
                            
                            <hr>
                            
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[on_post_date]"/>
                                <label><input value="1" name="amps[on_post_date]" <?php if(isset($amps['on_post_date'])) checked($amps['on_post_date']); ?> type="checkbox"> Display Post Date <i title="By checking this, AMP will display date of post on AMP Pages." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[on_author_name]"/>
                                <label><input value="1" name="amps[on_author_name]" <?php if(isset($amps['on_author_name'])) checked($amps['on_author_name']); ?> type="checkbox"> Display Author Name <i title="By checking this, AMP will display post's author name on AMP Pages." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[on_post_tags]"/>
                                <label><input value="1" name="amps[on_post_tags]" <?php if(isset($amps['on_post_tags'])) checked($amps['on_post_tags']); ?> type="checkbox"> Display Post Tags <i title="By checking this, AMP will display tags associated with post." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[on_post_categories]"/>
                                <label><input value="1" name="amps[on_post_categories]" <?php if(isset($amps['on_post_categories'])) checked($amps['on_post_categories']); ?> type="checkbox"> Display Post Categories <i title="By checking this, AMP will display categories associated with post." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[internal_links_non_amp]"/>
                                <label><input value="1" name="amps[internal_links_non_amp]" <?php if(isset($amps['internal_links_non_amp'])) checked($amps['internal_links_non_amp']); ?> type="checkbox"> Do not convert internal links to AMP <i title="By checking this, AMP will not convert the links (contained inside your post page content and points to same website) to AMP." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[disable_lightbox_on_images]"/>
                                <label><input value="1" name="amps[disable_lightbox_on_images]" <?php if(isset($amps['disable_lightbox_on_images'])) checked($amps['disable_lightbox_on_images']); ?> type="checkbox"> Disable Lightbox effect on Images <i title="By checking this, the lightbox effect on post images at AMP page will be disabled." class="fa fa-info-circle"></i></label>
                            </div>
                            <div class="uk-form-row switch-row">
                                <input type="hidden" value="0" name="amps[disable_recent_posts]"/>
                                <label><input value="1" name="amps[disable_recent_posts]" <?php if(isset($amps['disable_recent_posts'])) checked($amps['disable_recent_posts']); ?> type="checkbox" id='disable_recent_posts'> Disable Recent Posts on AMP Page <i title="By checking this, the recent posts will no longer be displayed." class="fa fa-info-circle"></i></label>
                            </div>
                            <?php $display_relevancy_section = (!isset($amps['disable_recent_posts']) || empty($amps['disable_recent_posts'])) ? 'block' : 'none' ?>
                            <div class="uk-form-row switch-row" id="relevancy_basis" style="display: <?php echo $display_relevancy_section;  ?>">
                                    <label>Related Post's relevancy</label><br/>
                                    <?php 
                                        $relevant_to_tags = 'checked'; $relevant_to_category = ''; 
                                        if(isset($amps['relevant_posts_to'])){ 
                                            if($amps['relevant_posts_to'] == 'category'){
                                                $relevant_to_tags = ''; $relevant_to_category = 'checked';
                                            }
                                        }
                                    ?>
                                    <input id="relevant_to_tags" name="amps[relevant_posts_to]" type="radio" value="tag" <?php echo $relevant_to_tags; ?>><label for="relevant_to_tags" class="radio-lbl">Tags</label> &nbsp;
                                    <input id="relevant_to_category" name="amps[relevant_posts_to]" type="radio" value="category" <?php echo $relevant_to_category; ?>><label for="relevant_to_category" class="radio-lbl">Categories</label>
                                </div>

                        </fieldset>

                        <p><span class="uk-badge">NOTE</span> Tweak the settings from above to change how the AMP rendered content will appear to the end user.<br />When your post contains AMP Standards violating content then you page will get invalidated</p>
                    </div>
                </div>
            </div>			
            <div class="uk-width-1-3">
                <iframe scrolling="no" src="http://ampsupremacy.com/fb-feed/" class="amp-fb-feed"></iframe> 			</div>
        </div><br/>
        <!--div class="uk-grid">
            <div class="uk-width-1-1">
                <button type="submit" class="uk-button uk-button-primary"><i class="fa fa-save"></i> Save Changes</button>
            </div>
        </div-->

</div> <!-- .wrap -->